ranges::actions::unique_fn Struct Reference

## Public Member Functions

template<typename C , typename P = identity>
constexpr auto | operator() (C pred, P proj=P{}) const requires(!range< C >)
template<typename Rng , typename C = equal_to, typename P = identity>
auto | operator() (Rng &&rng, C pred=C{}, P proj=P{}) const -> Rng requires forward_range< Rng > &&erasable_range< Rng &, iterator_t< Rng >, sentinel_t< Rng >> &&sortable< iterator_t< Rng >, C, P >